Subject: Ticket Assigned - My Account
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 13 Jun 2021 09:15:49 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account I cant access my account although I requested forgot password and tried so many times with an error that username or password wrong even after I change the password and renter same new password yet it m receiving same error, on the application and on website, both devices mobile or laptop. Please assist I have Benn facing same issue long time back https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2689713